Bug 481333 - Review Request: sugar-update-control - Activity update control panel for Sugar
Review Request: sugar-update-control - Activity update control panel for Sugar
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
: 488198 (view as bug list)
Depends On:
Blocks: FedoraOLPCDelta
  Show dependency treegraph
 
Reported: 2009-01-23 11:13 EST by Steven M. Parrish
Modified: 2009-06-10 07:29 EDT (History)
8 users (show)

See Also:
Fixed In Version: 0.20-4.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-11 13:56:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Steven M. Parrish 2009-03-04 11:17:50 EST
*** Bug 488198 has been marked as a duplicate of this bug. ***
Comment 3 Rex Dieter 2009-03-05 08:47:18 EST
I'll give it a whirl
Comment 4 Rex Dieter 2009-03-05 10:40:18 EST
sugar-update-control.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/bitfrost/update/microformat.py 0644
sugar-update-control.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/bitfrost/util/urlrange.py 0644
sugar-update-control.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/bitfrost/update/actutils.py 0644
sugar-update-control.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/bitfrost/update/actinfo.py 0644
sugar-update-control.noarch: E: incorrect-locale-subdir /usr/share/locale/pseudo/LC_MESSAGES/sugar-update-control.mo
error checking signature of sugar-update-control-0.20-1.src.rpm
2 packages and 0 specfiles checked; 5 errors, 0 warnings.

I consider the non-executable-script things to be mostly harmless in this context.

The incorrect locale is worrisome, upstream should fix that, but I don't consider it a blocker.

The

guideines mention needing 
BuildRequires: sugar-toolkit
but that's not included here.  Why?  not needed?  oversight?
Comment 5 Steven M. Parrish 2009-03-05 10:47:35 EST
The reason is that sugar-update-control is not an activity, but a component of the base system, used to update activities to newer release, so the BR is not required.  I'll upstream the incorrect locale and take a look at the permissions.
Comment 6 Rex Dieter 2009-03-05 10:49:30 EST
Checked source files and COPYING, seems the license ought to be
License: GPLv2+

%files
%{_datadir}/sugar
looks a bit excessive too, that dir is already owned by 'sugar', maybe something like this would be an improvement:

%{_datadir}/sugar/data/icons/*
# currently nothing (on f-10 anyway) owns extentions, not sure
# here is the best place, but...
%dir %{_datadir}/sugar/extentions/
%{_datadir}/sugar/extensions/cpsection/


Otherise, the rest of the spec is largely simple and clean...
macros used consistently and correctly.

Address these items:
1.  License
2.  dir ownership

and I'll approve this.
Comment 8 Rex Dieter 2009-03-07 15:32:06 EST
looks good, approved.

(consider using a %{?dist} in Release too, if this is every something you'll want to support in multiple fedora releases).
Comment 9 Steven M. Parrish 2009-03-07 15:36:48 EST
New Package CVS Request
=======================
Package Name: sugar-update-control 
Short Description: Activity update control panel for the Sugar Desktop
Owners: tuxbrewr
Branches: F10
InitialCC:
Comment 10 Bernie Innocenti 2009-03-07 18:16:46 EST
(In reply to comment #7)
> Updated SPEC file:
> http://tuxbrewr.fedorapeople.org/sugar-update-control/sugar-update-control.spec
> 
> Updated SRPM:
> http://tuxbrewr.fedorapeople.org/sugar-update-control/sugar-update-control-0.20-2.src.rpm
> 
> Build log:
> http://koji.fedoraproject.org/koji/getfile?taskID=1224230&name=build.log  

Thanks for these fixes!  Are you going to import in cvs yourself?
Comment 11 Steven M. Parrish 2009-03-07 18:25:15 EST
(In reply to comment #10)
> (In reply to comment #7)
> > Updated SPEC file:
> > http://tuxbrewr.fedorapeople.org/sugar-update-control/sugar-update-control.spec
> > 
> > Updated SRPM:
> > http://tuxbrewr.fedorapeople.org/sugar-update-control/sugar-update-control-0.20-2.src.rpm
> > 
> > Build log:
> > http://koji.fedoraproject.org/koji/getfile?taskID=1224230&name=build.log  
> 
> Thanks for these fixes!  Are you going to import in cvs yourself?  

Yes CVS request is pending.  Once complete will start a build.
Comment 12 Bernie Innocenti 2009-03-07 18:47:46 EST
(In reply to comment #10)

> Thanks for these fixes!  Are you going to import in cvs yourself?  

Your spec file does not seem to be a direct derivative of mine.
I merged our changes in this new one:

http://www.codewiz.org/pub/fedora/specs/sugar-update-control.spec

Please, import this version if you don't mind.  Let me know if you
would like to also co-maintain the upstream version in gitorious.
Comment 13 Bernie Innocenti 2009-03-07 18:53:28 EST
(In reply to comment #12)
> http://www.codewiz.org/pub/fedora/specs/sugar-update-control.spec

Just uploaded an updated version with a small fix
Comment 14 Kevin Fenzi 2009-03-07 19:14:07 EST
cvs done.
Comment 15 Steven M. Parrish 2009-03-07 19:49:37 EST
Its done and successfully built for rawhide.  Would be glad to help comaintain the upstream as well.  You can also go here https://admin.fedoraproject.org/pkgdb/packages/name/sugar-update-control and request comaintain on the feodra package and I will approve it.

Steven
Comment 16 Bernie Innocenti 2009-03-07 21:58:32 EST
(In reply to comment #15)
> Its done and successfully built for rawhide.

I think we should build also on F10, and push it to bodhi as a new package.


>  Would be glad to help comaintain
> the upstream as well.  You can also go here
> https://admin.fedoraproject.org/pkgdb/packages/name/sugar-update-control and
> request comaintain on the feodra package and I will approve it.

Thanks, done.

Please, signup on gitorious, and I will add you as a committer to the sugar-update-control project:

  http://git.sugarlabs.org/
Comment 17 Fedora Update System 2009-03-08 10:14:03 EDT
sugar-update-control-0.20-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/sugar-update-control-0.20-3.fc10
Comment 18 Fedora Update System 2009-03-11 13:56:39 EDT
sugar-update-control-0.20-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Rex Dieter 2009-03-11 14:44:43 EDT
Why is this being pushed to F-10, when it's
Requires: sugar >= 0.83
can't be satisfied?  (F-10 currently has sugar-0.82.9-4.fc10)
Comment 20 Rex Dieter 2009-03-11 14:46:38 EDT
We had talked about the "sugar >= 0.83 and F-10" issue in irc, but I hadn't documented it here in the review (part of the reason why the review lacked "testing it out")
Comment 21 Bernie Innocenti 2009-03-12 01:24:49 EDT
(In reply to comment #19)
> Why is this being pushed to F-10, when it's
> Requires: sugar >= 0.83
> can't be satisfied?  (F-10 currently has sugar-0.82.9-4.fc10)  

sugar-update-control should also work with sugar-0.82.

I would recommend pushing all of 0.84 to F10 though. You don't normally
do major upgrades on a stable release, but I would be surprised if there
were actual users depending on 0.82.x on Fedora 10, because for a number of
reasons this release wasn't really usable on anything but the XO, and not
very usable there either.
Comment 22 Martin Dengler 2009-06-09 20:50:38 EDT
The rpm is broken as it is currently in rawhide (code fails to import bitfrost).  The specfile doesn't look correct to me.  It shouldn't be deleting part of the code it's meant to install.  This patch fixes it for me:

---
 sugar-update-control.spec |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

diff --git a/sugar-update-control.spec b/sugar-update-control.spec
index d5e16aa..09eda58 100644
--- a/sugar-update-control.spec
+++ b/sugar-update-control.spec
@@ -33,8 +33,6 @@ rm -rf $RPM_BUILD_ROOT
 mkdir -p $RPM_BUILD_ROOT
 %{__python} setup.py install --root=$RPM_BUILD_ROOT

-# avoid conflicts with standard __init__.py*
-rm $RPM_BUILD_ROOT%{python_sitelib}/{bitfrost,bitfrost/update,bitfrost/util}/__init__.py*
 %find_lang %{name}

 %clean
--                                                                                                                                                                
1.6.0.6                                                                                                                                                           
~
Comment 23 Steven M. Parrish 2009-06-10 07:29:31 EDT
Thanks for the report.  New builds have been submitted. If you have any other issues please open a new report. 

Thanks

Note You need to log in before you can comment on or make changes to this bug.